SPAMD-SETUP(8)

NAME
spamd-setup - parse and load file of spammer addresses

SYNOPSIS
spamd-setup [-bDdn]

DESCRIPTION
The spamd-setup utility sends blacklist data to spamd(8), as well as configuring mail rejection messages for blacklist entries.

When spamd-setup is run in blacklist only mode, it also sends blacklist data to the pf(4) table <spamd>. The <spamd> table must then be used in conjunction with a pf(4) redirection rule to selectively redirect mail connections to spamd(8).

The options are as follows:

-b  Blacklisting only mode. Blacklist data is normally stored only in spamd(8). With this flag, data is stored in both spamd(8) and pf(4). Use this flag if spamd(8) is running with the -b flag too.

-D  Daemonize; run spamd-setup in the background.

-d  Debug mode reports a few pieces of information.

-n  Dry-run mode. No data is shipped.

Lists are specified in the configuration file /etc/mail/spamd.conf and are processed in the order specified in the all tag. Output is concatenated and sent to a running spamd(8). Addresses are sent along with the message spamd will give on mail rejection when a matching client connects. The configuration port for spamd(8) is found from services(5), by looking for the named service spamd-cfg.

spamd-setup reads all configuration information from the spamd.conf(5) file.

FILES
/etc/mail/spamd.conf

SEE ALSO
pf.conf(5), services(5), spamd.conf(5), spamd(8)

BUGS
Blacklists removed from /etc/mail/spamd.conf are not automatically removed from the running spamd(8). If an entry is removed from /etc/mail/spamd.conf that is currently in use, it is necessary to restart spamd(8). This applies only to blacklists that are removed entirely, not those that are simply modified.